Prev |  | Next

# FcDirScan

## Name

FcDirScan -- DEPRECATED: formerly used to scan a font directory

## Synopsis

    #include <fontconfig.h>

``FcBool FcDirScan`(FcFontSet *set, FcStrSet *dirs, FcFileCache *cache, FcBlanks *blanks, const FcChar8 *dir, FcBool force);`

## Description

This function does nothing aside from returning FcFalse. It used to scan an entire directory and add all fonts found to `set`. If `force` was FcTrue, then the directory and all files within it were scanned even if information was present in the per-directory cache file or `cache`. Any subdirectories found were added to `dirs`.

## Version

Fontconfig version 2.6.0

Prev | Home | Next
FcFileIsDir | Up | FcDirSave